scala.collection.mutable.WrappedArray

# ofUnit

#### final class ofUnit extends WrappedArray[Unit] with Serializable

Source
  WrappedArray.scala

Linear Supertypes
Serializable, Serializable, WrappedArray[Unit], CustomParallelizable[Unit, ParArray[Unit]], ArrayLike[Unit, WrappedArray[Unit]], IndexedSeqOptimized[Unit, WrappedArray[Unit]], IndexedSeqOptimized[Unit, WrappedArray[Unit]], IndexedSeq[Unit], IndexedSeqLike[Unit, WrappedArray[Unit]], IndexedSeq[Unit], IndexedSeqLike[Unit, WrappedArray[Unit]], Seq[Unit], SeqLike[Unit, Seq[Unit]], Cloneable[Seq[Unit]], Seq[Unit], SeqLike[Unit, WrappedArray[Unit]], GenSeq[Unit], GenSeqLike[Unit, WrappedArray[Unit]], PartialFunction[Int, Unit], (Int) ⇒ Unit, Iterable[Unit], Iterable[Unit], IterableLike[Unit, WrappedArray[Unit]], Equals, GenIterable[Unit], GenIterableLike[Unit, WrappedArray[Unit]], Traversable[Unit], Mutable, Traversable[Unit], GenTraversable[Unit], GenericTraversableTemplate[Unit, IndexedSeq], TraversableLike[Unit, WrappedArray[Unit]], GenTraversableLike[Unit, WrappedArray[Unit]], Parallelizable[Unit, ParArray[Unit]], TraversableOnce[Unit], GenTraversableOnce[Unit], FilterMonadic[Unit, WrappedArray[Unit]], HasNewBuilder[Unit, WrappedArray[Unit]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ofUnit
2. Serializable
3. Serializable
4. WrappedArray
5. CustomParallelizable
6. ArrayLike
7. IndexedSeqOptimized
8. IndexedSeqOptimized
9. IndexedSeq
10. IndexedSeqLike
11. IndexedSeq
12. IndexedSeqLike
13. Seq
14. SeqLike
15. Cloneable
16. Seq
17. SeqLike
18. GenSeq
19. GenSeqLike
20. PartialFunction
21. Function1
22. Iterable
23. Iterable
24. IterableLike
25. Equals
26. GenIterable
27. GenIterableLike
28. Traversable
29. Mutable
30. Traversable
31. GenTraversable
32. GenericTraversableTemplate
33. TraversableLike
34. GenTraversableLike
35. Parallelizable
36. TraversableOnce
37. GenTraversableOnce
38. FilterMonadic
39. HasNewBuilder
40. AnyRef
41. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ofUnit(array: Array[Unit])

### Type Members

1. #### class Elements extends BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

2. #### type Self = WrappedArray[Unit]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### abstract def ++[B](that: GenTraversableOnce[B]): WrappedArray[B]

   [use case] Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the wrapped array is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

5. #### def ++[B >: Unit, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

   Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new wrapped array containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the wrapped array is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike

6. #### def ++:[B >: Unit, That](that: Traversable[B])(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand. It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new wrapped array which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### abstract def ++:[B](that: TraversableOnce[B]): WrappedArray[B]

   [use case] Concatenates this wrapped array with the elements of a traversable collection.

   [use case]

   Concatenates this wrapped array with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     TraversableLike

8. #### def ++:[B >: Unit, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

   Concatenates this wrapped array with the elements of a traversable collection.

   Concatenates this wrapped array with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this wrapped array followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### abstract def +:(elem: Unit): WrappedArray[Unit]

   [use case] A copy of the wrapped array with an element prepended.

   [use case]

   A copy of the wrapped array with an element prepended.

   elem

     the prepended element

   returns

     a new collection of type `That` consisting of `elem` followed by all elements of this wrapped array.

   Definition Classes
     GenSeqLike

10. #### def +:[B >: Unit, That](elem: B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

    A copy of the wrapped array with an element prepended.

    A copy of the wrapped array with an element prepended.

    Note that :-ending operators are right associative (see example). Also, the original wrapped array is not modified, so you will want to capture the result.

    Example:

             scala> val x = LinkedList(1)
             x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

             scala> val y = 2 +: x
             y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

             scala> println(x)
             LinkedList(1)

    B

      the element type of the returned wrapped array.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the prepended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this wrapped array.

    Definition Classes
      SeqLike → GenSeqLike

11. #### def /:[B](z: B)(op: (B, Unit) ⇒ B): B

    Applies a binary operator to a start value and all elements of this wrapped array, going left to right.

    Applies a binary operator to a start value and all elements of this wrapped array, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped array, going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this wrapped array.

    Definition Classes
      TraversableOnce → GenTraversableOnce

12. #### def /:\[A1 >: Unit](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

13. #### abstract def :+(elem: Unit): WrappedArray[Unit]

    [use case] A copy of this wrapped array with an element appended.

    [use case]

    A copy of this wrapped array with an element appended.

    elem

      the appended element

    returns

      a new collection of type `That` consisting of all elements of this wrapped array followed by `elem`.

    Definition Classes
      GenSeqLike

14. #### def :+[B >: Unit, That](elem: B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

    A copy of this wrapped array with an element appended.

    A copy of this wrapped array with an element appended.

    B

      the element type of the returned wrapped array.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the appended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of all elements of this wrapped array followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike

15. #### def :\[B](z: B)(op: (Unit, B) ⇒ B): B

    Applies a binary operator to all elements of this wrapped array and a start value, going right to left.

    Applies a binary operator to all elements of this wrapped array and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this wrapped array, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this wrapped array.

    Definition Classes
      TraversableOnce → GenTraversableOnce

16. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

18. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this wrapped array to a string builder.

    Appends all elements of this wrapped array to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this wrapped array without any separator string.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> val h = a.addString(b)
             b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

19. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this wrapped array to a string builder using a separator string.

    Appends all elements of this wrapped array to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this wrapped array, separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, ", ")
             res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

20. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this wrapped array to a string builder using start, end, and separator strings.

    Appends all elements of this wrapped array to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this wrapped array are separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, "LinkedList(", ", ", ")")
             res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

21. #### def aggregate[B](z: B)(seqop: (B, Unit) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

22. #### def andThen[C](k: (Unit) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

23. #### def apply(index: Int): Unit

    The element at given index

    The element at given index

    returns

      the element of this wrapped array at index `idx`, where `0` indicates the first element.

    Definition Classes
      ofUnit → WrappedArray → SeqLike → GenSeqLike → Function1

24. #### val array: Array[Unit]

    The underlying array

    The underlying array

    Definition Classes
      ofUnit → WrappedArray

25. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

26. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this wrapped array should be compared

    returns

      `true`, if this wrapped array can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

27. #### def clone(): WrappedArray[Unit]

    Clones this object, including the underlying Array.

    Clones this object, including the underlying Array.

    returns

      a copy of the receiver object.

    Definition Classes
      WrappedArray → Cloneable → AnyRef

28. #### abstract def collect[B](pf: PartialFunction[Unit, B]): WrappedArray[B]

    [use case] Builds a new collection by applying a partial function to all elements of this wrapped array on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this wrapped array on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the wrapped array.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

29. #### def collect[B, That](pf: PartialFunction[Unit, B])(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

    Builds a new collection by applying a partial function to all elements of this wrapped array on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this wrapped array on which the function is defined.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the wrapped array.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

30. #### def collectFirst[B](pf: PartialFunction[Unit, B]): Option[B]

    Finds the first element of the wrapped array for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the wrapped array for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

31. #### def combinations(n: Int): Iterator[WrappedArray[Unit]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this wrapped array.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

32. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class WrappedArray.

    The factory companion object that builds instances of class WrappedArray. (or its `Iterable` superclass where class WrappedArray is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

33. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Unit

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1

34. #### def contains(elem: Any): Boolean

    Tests whether this wrapped array contains a given value as an element.

    Tests whether this wrapped array contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this wrapped array has an element that is is equal (wrt `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

35. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this wrapped array contains a given sequence as a slice.

    Tests whether this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this wrapped array contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

36. #### abstract def copyToArray(xs: Array[Unit], start: Int, len: Int): Unit

    [use case] Copies elements of this wrapped array to an array.

    [use case]

    Copies elements of this wrapped array to an array. Fills the given array `xs` with at most `len` elements of this wrapped array, starting at position `start`. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableLike

37. #### def copyToArray[B >: Unit](xs: Array[B], start: Int, len: Int): Unit

    Copies elements of this wrapped array to an array.

    Copies elements of this wrapped array to an array. Fills the given array `xs` with at most `len` elements of this wrapped array, starting at position `start`. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

38. #### abstract def copyToArray(xs: Array[Unit]): Unit

    [use case] Copies values of this wrapped array to an array.

    [use case]

    Copies values of this wrapped array to an array. Fills the given array `xs` with values of this wrapped array. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

39. #### def copyToArray[B >: Unit](xs: Array[B]): Unit

    Copies values of this wrapped array to an array.

    Copies values of this wrapped array to an array. Fills the given array `xs` with values of this wrapped array. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce

40. #### abstract def copyToArray(xs: Array[Unit], start: Int): Unit

    [use case] Copies values of this wrapped array to an array.

    [use case]

    Copies values of this wrapped array to an array. Fills the given array `xs` with values of this wrapped array, beginning at index `start`. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

41. #### def copyToArray[B >: Unit](xs: Array[B], start: Int): Unit

    Copies values of this wrapped array to an array.

    Copies values of this wrapped array to an array. Fills the given array `xs` with values of this wrapped array, beginning at index `start`. Copying will stop once either the end of the current wrapped array is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce

42. #### def copyToBuffer[B >: Unit](dest: Buffer[B]): Unit

    Copies all elements of this wrapped array to a buffer.

    Copies all elements of this wrapped array to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

43. #### def corresponds[B](that: GenSeq[B])(p: (Unit, B) ⇒ Boolean): Boolean

    Tests whether every element of this wrapped array relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this wrapped array relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this wrapped array and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

44. #### def count(p: (Unit) ⇒ Boolean): Int

    Counts the number of elements in the wrapped array which satisfy a predicate.

    Counts the number of elements in the wrapped array which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

45. #### def deep: IndexedSeq[Any]

    Creates a possible nested `IndexedSeq` which consists of all the elements of this array.

    Creates a possible nested `IndexedSeq` which consists of all the elements of this array. If the elements are arrays themselves, the `deep` transformation is applied recursively to them. The `stringPrefix` of the `IndexedSeq` is "Array", hence the `IndexedSeq` prints like an array with all its elements shown, and the same recursively for any subarrays.

    Example:

         Array(Array(1, 2), Array(3, 4)).deep.toString

    prints: `Array(Array(1, 2), Array(3, 4))`

    returns

      An possibly nested indexed sequence of consisting of all the elements of the array.

    Definition Classes
      ArrayLike

46. #### abstract def diff(that: Seq[Unit]): WrappedArray[Unit]

    [use case] Computes the multiset difference between this wrapped array and another sequence.

    [use case]

    Computes the multiset difference between this wrapped array and another sequence.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this wrapped array except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike

47. #### def diff[B >: Unit](that: GenSeq[B]): WrappedArray[Unit]

    Computes the multiset difference between this wrapped array and another sequence.

    Computes the multiset difference between this wrapped array and another sequence.

    B

      the element type of the returned wrapped array.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this wrapped array except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike

48. #### def distinct: WrappedArray[Unit]

    Builds a new wrapped array from this wrapped array without any duplicate elements.

    Builds a new wrapped array from this wrapped array without any duplicate elements.

    returns

      A new wrapped array which contains the first occurrence of every element of this wrapped array.

    Definition Classes
      SeqLike → GenSeqLike

49. #### def drop(n: Int): WrappedArray[Unit]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this wrapped array.

    returns

      a wrapped array consisting of all elements of this wrapped array except the first `n` ones, or else the empty wrapped array, if this wrapped array has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

50. #### def dropRight(n: Int): WrappedArray[Unit]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a wrapped array consisting of all elements of this wrapped array except the last `n` ones, or else the empty wrapped array, if this wrapped array has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

51. #### def dropWhile(p: (Unit) ⇒ Boolean): WrappedArray[Unit]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this wrapped array whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike

52. #### def elemManifest: AnyValManifest[Unit]

    The manifest of the element type

    The manifest of the element type

    Definition Classes
      ofUnit → WrappedArray

53. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this wrapped array ends with the given sequence.

    Tests whether this wrapped array ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this wrapped array has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

54. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

55. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → AnyRef → Any

56. #### def exists(p: (Unit) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this wrapped array.

    Tests whether a predicate holds for some of the elements of this wrapped array.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this wrapped array, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

57. #### def filter(p: (Unit) ⇒ Boolean): WrappedArray[Unit]

    Selects all elements of this wrapped array which satisfy a predicate.

    Selects all elements of this wrapped array which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new wrapped array consisting of all elements of this wrapped array that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

58. #### def filterNot(p: (Unit) ⇒ Boolean): WrappedArray[Unit]

    Selects all elements of this wrapped array which do not satisfy a predicate.

    Selects all elements of this wrapped array which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new wrapped array consisting of all elements of this wrapped array that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

59. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

60. #### def find(p: (Unit) ⇒ Boolean): Option[Unit]

    Finds the first element of the wrapped array satisfying a predicate, if any.

    Finds the first element of the wrapped array satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the wrapped array that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

61. #### abstract def flatMap[B](f: (Unit) ⇒ GenTraversableOnce[B]): WrappedArray[B]

    [use case] Builds a new collection by applying a function to all elements of this wrapped array and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this wrapped array and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this wrapped array and concatenating the results.

    Definition Classes
      GenTraversableLike

62. #### def flatMap[B, That](f: (Unit) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

    Builds a new collection by applying a function to all elements of this wrapped array and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this wrapped array and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of wrapped array. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this wrapped array and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

63. #### abstract def flatten[B]: WrappedArray[B]

    [use case] Converts this wrapped array of traversable collections into a wrapped array formed by the elements of these traversable collections.

    [use case]

    Converts this wrapped array of traversable collections into a wrapped array formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new wrapped array resulting from concatenating all element wrapped arrays.

    Definition Classes
      GenericTraversableTemplate

64. #### def fold[A1 >: Unit](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this wrapped array using the specified associative binary operator.

    Folds the elements of this wrapped array using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

65. #### def foldLeft[B](z: B)(op: (B, Unit) ⇒ B): B

    Applies a binary operator to a start value and all elements of this wrapped array, going left to right.

    Applies a binary operator to a start value and all elements of this wrapped array, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped array, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this wrapped array.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

66. #### def foldRight[B](z: B)(op: (Unit, B) ⇒ B): B

    Applies a binary operator to all elements of this wrapped array and a start value, going right to left.

    Applies a binary operator to all elements of this wrapped array and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped array, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this wrapped array.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

67. #### def forall(p: (Unit) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this wrapped array.

    Tests whether a predicate holds for all elements of this wrapped array.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this wrapped array, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

68. #### abstract def foreach(f: (Unit) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this wrapped array.

    [use case]

    Applies a function `f` to all elements of this wrapped array.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike

69. #### def foreach[U](f: (Unit) ⇒ U): Unit

    Applies a function `f` to all elements of this wrapped array.

    Applies a function `f` to all elements of this wrapped array.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    U

      the type parameter describing the result of function `f`. This result will always be ignored. Typically `U` is `Unit`, but this is not necessary.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

70. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of WrappedArray at arbitrary element types.

    The generic builder that builds instances of WrappedArray at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

71. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

72. #### def groupBy[K](f: (Unit) ⇒ K): Map[K, WrappedArray[Unit]]

    Partitions this wrapped array into a map of wrapped arrays according to some discriminator function.

    Partitions this wrapped array into a map of wrapped arrays according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new wrapped array.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to wrapped arrays such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a wrapped array of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

73. #### def grouped(size: Int): Iterator[WrappedArray[Unit]]

    Partitions elements in fixed size wrapped arrays.

    Partitions elements in fixed size wrapped arrays.

    size

      the number of elements per group

    returns

      An iterator producing wrapped arrays of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      Iterator#grouped

74. #### def hasDefiniteSize: Boolean

    Tests whether this wrapped array is known to have a finite size.

    Tests whether this wrapped array is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

75. #### def hashCode(): Int

    Hashcodes for WrappedArray produce a value from the hashcodes of all the elements of the wrapped array.

    Hashcodes for WrappedArray produce a value from the hashcodes of all the elements of the wrapped array.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → AnyRef → Any

76. #### def head: Unit

    Selects the first element of this wrapped array.

    Selects the first element of this wrapped array.

    returns

      the first element of this wrapped array.

    Definition Classes
      IndexedSeqOptimized → IterableLike → GenIterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the wrapped array is empty.

77. #### def headOption: Option[Unit]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this wrapped array if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike

78. #### abstract def indexOf(elem: Unit, from: Int): Int

    [use case] Finds index of first occurrence of some value in this wrapped array after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this wrapped array after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

79. #### def indexOf[B >: Unit](elem: B, from: Int): Int

    Finds index of first occurrence of some value in this wrapped array after or at some start index.

    Finds index of first occurrence of some value in this wrapped array after or at some start index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

80. #### abstract def indexOf(elem: Unit): Int

    [use case] Finds index of first occurrence of some value in this wrapped array.

    [use case]

    Finds index of first occurrence of some value in this wrapped array.

    elem

      the element value to search for.

    returns

      the index of the first element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

81. #### def indexOf[B >: Unit](elem: B): Int

    Finds index of first occurrence of some value in this wrapped array.

    Finds index of first occurrence of some value in this wrapped array.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    returns

      the index of the first element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

82. #### def indexOfSlice[B >: Unit](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this wrapped array contains a given sequence as a slice.

    Finds first index after or at a start index where this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

83. #### def indexOfSlice[B >: Unit](that: GenSeq[B]): Int

    Finds first index where this wrapped array contains a given sequence as a slice.

    Finds first index where this wrapped array contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

84. #### def indexWhere(p: (Unit) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

85. #### def indexWhere(p: (Unit) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

86. #### def indices: Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this wrapped array.

    Definition Classes
      SeqLike

87. #### def init: WrappedArray[Unit]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a wrapped array consisting of all elements of this wrapped array except the last one.

    Definition Classes
      IndexedSeqOptimized → TraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the wrapped array is empty.

88. #### def inits: Iterator[WrappedArray[Unit]]

    Iterates over the inits of this wrapped array.

    Iterates over the inits of this wrapped array. The first value will be this wrapped array and the final one will be an empty wrapped array, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this wrapped array

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

89. #### abstract def intersect(that: Seq[Unit]): WrappedArray[Unit]

    [use case] Computes the multiset intersection between this wrapped array and another sequence.

    [use case]

    Computes the multiset intersection between this wrapped array and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new collection of type `That` which contains all elements of this wrapped array which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike

90. #### def intersect[B >: Unit](that: GenSeq[B]): WrappedArray[Unit]

    Computes the multiset intersection between this wrapped array and another sequence.

    Computes the multiset intersection between this wrapped array and another sequence.

    B

      the element type of the returned wrapped array.

    that

      the sequence of elements to intersect with.

    returns

      a new collection of type `That` which contains all elements of this wrapped array which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike

91. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this wrapped array contains given index.

    Tests whether this wrapped array contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this wrapped array contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

92. #### def isEmpty: Boolean

    Tests whether the wrapped array is empty.

    Tests whether the wrapped array is empty.

    returns

      `true` if the wrapped array contains no elements, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → IterableLike → GenIterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

93. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

94. #### final def isTraversableAgain: Boolean

    Tests whether this wrapped array can be repeatedly traversed.

    Tests whether this wrapped array can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

95. #### def iterator: Iterator[Unit]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IndexedSeqLike → IterableLike → GenIterableLike

96. #### def last: Unit

    Selects the last element.

    Selects the last element.

    returns

      The last element of this wrapped array.

    Definition Classes
      IndexedSeqOptimized → TraversableLike
    Exceptions thrown
      NoSuchElementException

      If the wrapped array is empty.

97. #### abstract def lastIndexOf(elem: Unit, end: Int): Int

    [use case] Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

98. #### def lastIndexOf[B >: Unit](elem: B, end: Int): Int

    Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    Finds index of last occurrence of some value in this wrapped array before or at a given end index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

99. #### abstract def lastIndexOf(elem: Unit): Int

    [use case] Finds index of last occurrence of some value in this wrapped array.

    [use case]

    Finds index of last occurrence of some value in this wrapped array.

    elem

      the element value to search for.

    returns

      the index of the last element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

100. #### def lastIndexOf[B >: Unit](elem: B): Int

     Finds index of last occurrence of some value in this wrapped array.

     Finds index of last occurrence of some value in this wrapped array.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     returns

       the index of the last element of this wrapped array that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

101. #### def lastIndexOfSlice[B >: Unit](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this wrapped array contains a given sequence as a slice.

     Finds last index before or at a given end index where this wrapped array contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this wrapped array starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

102. #### def lastIndexOfSlice[B >: Unit](that: GenSeq[B]): Int

     Finds last index where this wrapped array contains a given sequence as a slice.

     Finds last index where this wrapped array contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this wrapped array starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

103. #### def lastIndexWhere(p: (Unit) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

104. #### def lastIndexWhere(p: (Unit) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this wrapped array that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

105. #### def lastOption: Option[Unit]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this wrapped array$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike

106. #### def length: Int

     The length of the array

     The length of the array

     returns

       the number of elements in this wrapped array.

     Definition Classes
       ofUnit → WrappedArray → SeqLike → GenSeqLike

107. #### def lengthCompare(len: Int): Int

     Compares the length of this wrapped array to a test value.

     Compares the length of this wrapped array to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

                  x <  0       if this.length <  len
                  x == 0       if this.length == len
                  x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       IndexedSeqOptimized → SeqLike

108. #### def lift: (Int) ⇒ Option[Unit]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

109. #### abstract def map[B](f: (Unit) ⇒ B): WrappedArray[B]

     [use case] Builds a new collection by applying a function to all elements of this wrapped array.

     [use case]

     Builds a new collection by applying a function to all elements of this wrapped array.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this wrapped array and collecting the results.

     Definition Classes
       GenTraversableLike

110. #### def map[B, That](f: (Unit) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Builds a new collection by applying a function to all elements of this wrapped array.

     Builds a new collection by applying a function to all elements of this wrapped array.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this wrapped array and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic

111. #### abstract def max: Unit

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this wrapped array with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

112. #### def max[B >: Unit](implicit cmp: Ordering[B]): Unit

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the largest element of this wrapped array with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### def maxBy[B](f: (Unit) ⇒ B)(implicit cmp: Ordering[B]): Unit

     Definition Classes
       TraversableOnce → GenTraversableOnce

114. #### abstract def min: Unit

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this wrapped array with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

115. #### def min[B >: Unit](implicit cmp: Ordering[B]): Unit

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the smallest element of this wrapped array with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

116. #### def minBy[B](f: (Unit) ⇒ B)(implicit cmp: Ordering[B]): Unit

     Definition Classes
       TraversableOnce → GenTraversableOnce

117. #### def mkString: String

     Displays all elements of this wrapped array in a string.

     Displays all elements of this wrapped array in a string.

     returns

       a string representation of this wrapped array. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this wrapped array follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

118. #### def mkString(sep: String): String

     Displays all elements of this wrapped array in a string using a separator string.

     Displays all elements of this wrapped array in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this wrapped array. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this wrapped array are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

119. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this wrapped array in a string using start, end, and separator strings.

     Displays all elements of this wrapped array in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this wrapped array. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this wrapped array are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

120. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

121. #### def newBuilder: Builder[Unit, WrappedArray[Unit]]

     Creates new builder for this collection ==> move to subclasses

     Creates new builder for this collection ==> move to subclasses

     Attributes
       protected[this]
     Definition Classes
       WrappedArray → GenericTraversableTemplate → TraversableLike → HasNewBuilder

122. #### def nonEmpty: Boolean

     Tests whether the wrapped array is not empty.

     Tests whether the wrapped array is not empty.

     returns

       `true` if the wrapped array contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

123. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

124. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

125. #### def orElse[A1 <: Int, B1 >: Unit](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

126. #### abstract def padTo(len: Int, elem: Unit): WrappedArray[Unit]

     [use case] A copy of this wrapped array with an element value appended until a given target length is reached.

     [use case]

     A copy of this wrapped array with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new collection of type `That` consisting of all elements of this wrapped array followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       GenSeqLike

127. #### def padTo[B >: Unit, That](len: Int, elem: B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     A copy of this wrapped array with an element value appended until a given target length is reached.

     A copy of this wrapped array with an element value appended until a given target length is reached.

     B

       the element type of the returned wrapped array.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     len

       the target length

     elem

       the padding value

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` consisting of all elements of this wrapped array followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike

128. #### def par: ParArray[Unit]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       WrappedArray → CustomParallelizable → Parallelizable

129. #### def parCombiner: Combiner[Unit, ParArray[Unit]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

130. #### def partition(p: (Unit) ⇒ Boolean): (WrappedArray[Unit], WrappedArray[Unit])

     Partitions this wrapped array in two wrapped arrays according to a predicate.

     Partitions this wrapped array in two wrapped arrays according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of wrapped arrays: the first wrapped array consists of all elements that satisfy the predicate `p` and the second wrapped array consists of all elements that don't. The relative order of the elements in the resulting wrapped arrays is the same as in the original wrapped array.

     Definition Classes
       TraversableLike → GenTraversableLike

131. #### abstract def patch(from: Int, that: GenSeq[Unit], replaced: Int): WrappedArray[Unit]

     [use case] Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     [use case]

     Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original wrapped array

     returns

       a new wrapped array consisting of all elements of this wrapped array except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       GenSeqLike

132. #### def patch[B >: Unit, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     Produces a new wrapped array where a slice of elements in this wrapped array is replaced by another sequence.

     B

       the element type of the returned wrapped array.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     from

       the index of the first replaced element

     patch

       the replacement sequence

     replaced

       the number of elements to drop in the original wrapped array

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new wrapped array consisting of all elements of this wrapped array except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike

133. #### def permutations: Iterator[WrappedArray[Unit]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this wrapped array.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

134. #### def prefixLength(p: (Unit) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this wrapped array such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

135. #### abstract def product: Unit

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this wrapped array with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

136. #### def product[B >: Unit](implicit num: Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this wrapped array with respect to the `*` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

137. #### def reduce[A1 >: Unit](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this wrapped array using the specified associative binary operator.

     Reduces the elements of this wrapped array using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the wrapped array is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this wrapped array is empty.

138. #### def reduceLeft[B >: Unit](op: (B, Unit) ⇒ B): B

     Definition Classes
       IndexedSeqOptimized → TraversableOnce

139. #### def reduceLeftOption[B >: Unit](op: (B, Unit) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this wrapped array, going left to right.

     Optionally applies a binary operator to all elements of this wrapped array, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this wrapped array is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

140. #### def reduceOption[A1 >: Unit](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this wrapped array, if any, using the specified associative binary operator.

     Reduces the elements of this wrapped array, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

141. #### def reduceRight[B >: Unit](op: (Unit, B) ⇒ B): B

     Applies a binary operator to all elements of this wrapped array, going right to left.

     Applies a binary operator to all elements of this wrapped array, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this wrapped array, going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this wrapped array.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this wrapped array is empty.

142. #### def reduceRightOption[B >: Unit](op: (Unit, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this wrapped array, going right to left.

     Optionally applies a binary operator to all elements of this wrapped array, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this wrapped array is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

143. #### def repr: WrappedArray[Unit]

     The collection of type wrapped array underlying this `TraversableLike` object.

     The collection of type wrapped array underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

144. #### def reverse: WrappedArray[Unit]

     Returns new wrapped array wih elements in reversed order.

     Returns new wrapped array wih elements in reversed order.

     returns

       A new wrapped array with all elements of this wrapped array in reversed order.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

145. #### def reverseIterator: Iterator[Unit]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this wrapped array in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

146. #### abstract def reverseMap[B](f: (Unit) ⇒ B): WrappedArray[B]

     [use case] Builds a new collection by applying a function to all elements of this wrapped array and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this wrapped array and collecting the results in reversed order.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this wrapped array and collecting the results in reversed order.

       Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     Definition Classes
       GenSeqLike

147. #### def reverseMap[B, That](f: (Unit) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Builds a new collection by applying a function to all elements of this wrapped array and collecting the results in reversed order.

     Builds a new collection by applying a function to all elements of this wrapped array and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this wrapped array and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

148. #### def reversed: List[Unit]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

149. #### abstract def sameElements(that: GenIterable[Unit]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this wrapped array.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this wrapped array.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

150. #### def sameElements[B >: Unit](that: GenIterable[B]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this wrapped array.

     Checks if the other iterable collection contains the same elements in the same order as this wrapped array.

     B

       the type of the elements of collection `that`.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike

151. #### def scan[B >: Unit, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new wrapped array containing the prefix scan of the elements in this wrapped array

     Definition Classes
       TraversableLike → GenTraversableLike

152. #### def scanLeft[B, That](z: B)(op: (B, Unit) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

153. #### def scanRight[B, That](z: B)(op: (Unit, B) ⇒ B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

154. #### def segmentLength(p: (Unit) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this wrapped array starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

155. #### def seq: Seq[Unit]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

156. #### def size: Int

     The size of this wrapped array, equivalent to `length`.

     The size of this wrapped array, equivalent to `length`.

     returns

       the number of elements in this wrapped array.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

157. #### def slice(from: Int, until: Int): WrappedArray[Unit]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     from

       the lowest index to include from this wrapped array.

     until

       the highest index to EXCLUDE from this wrapped array.

     returns

       a wrapped array containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this wrapped array.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

158. #### def sliding[B >: Unit](size: Int, step: Int): Iterator[WrappedArray[Unit]]

     Definition Classes
       IterableLike

159. #### def sliding[B >: Unit](size: Int): Iterator[WrappedArray[Unit]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing wrapped arrays of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       Iterator#sliding

160. #### def sortBy[B](f: (Unit) ⇒ B)(implicit ord: Ordering[B]): WrappedArray[Unit]

     Sorts this WrappedArray according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this WrappedArray according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a wrapped array consisting of the elements of this wrapped array sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.        val words = "The quick brown fox jumped over the lazy dog".split(' ')
               // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
               words.sortBy(x => (x.length, x.head))
               res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

161. #### def sortWith(lt: (Unit, Unit) ⇒ Boolean): WrappedArray[Unit]

     Sorts this wrapped array according to a comparison function.

     Sorts this wrapped array according to a comparison function.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a wrapped array consisting of the elements of this wrapped array sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.        List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
               List("Bob", "John", "Steve", "Tom")

162. #### def sorted[B >: Unit](implicit ord: Ordering[B]): WrappedArray[Unit]

     Sorts this wrapped array according to an Ordering.

     Sorts this wrapped array according to an Ordering.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a wrapped array consisting of the elements of this wrapped array sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

163. #### def span(p: (Unit) ⇒ Boolean): (WrappedArray[Unit], WrappedArray[Unit])

     Splits this wrapped array into a prefix/suffix pair according to a predicate.

     Splits this wrapped array into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this wrapped array whose elements all satisfy `p`, and the rest of this wrapped array.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

164. #### def splitAt(n: Int): (WrappedArray[Unit], WrappedArray[Unit])

     Splits this wrapped array into two at a given position.

     Splits this wrapped array into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of wrapped arrays consisting of the first `n` elements of this wrapped array, and the other elements.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

165. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this wrapped array contains the given sequence at a given index.

     Tests whether this wrapped array contains the given sequence at a given index.

     If the both the receiver object, `this` and the argument, `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this wrapped array at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

166. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this wrapped array starts with the given sequence.

     Tests whether this wrapped array starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

167. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this wrapped array. By default the string prefix is the simple name of the collection class wrapped array.

     Definition Classes
       WrappedArray → TraversableLike → GenTraversableLike

168. #### abstract def sum: Unit

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this wrapped array with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

169. #### def sum[B >: Unit](implicit num: Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this wrapped array with respect to the `+` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

170. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

171. #### def tail: WrappedArray[Unit]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a wrapped array consisting of all elements of this wrapped array except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the wrapped array is empty.

172. #### def tails: Iterator[WrappedArray[Unit]]

     Iterates over the tails of this wrapped array.

     Iterates over the tails of this wrapped array. The first value will be this wrapped array and the final one will be an empty wrapped array, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this wrapped array

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

173. #### def take(n: Int): WrappedArray[Unit]

     Selects first n elements.

     Selects first n elements.

     n

       Tt number of elements to take from this wrapped array.

     returns

       a wrapped array consisting only of the first `n` elements of this wrapped array, or else the whole wrapped array, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

174. #### def takeRight(n: Int): WrappedArray[Unit]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a wrapped array consisting only of the last `n` elements of this wrapped array, or else the whole wrapped array, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

175. #### def takeWhile(p: (Unit) ⇒ Boolean): WrappedArray[Unit]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this wrapped array whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

176. #### def thisCollection: WrappedArray[Unit]

     The underlying collection seen as an instance of `WrappedArray`.

     The underlying collection seen as an instance of `WrappedArray`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       WrappedArray → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

177. #### abstract def toArray: Array[Unit]

     [use case] Converts this wrapped array to an array.

     [use case]

     Converts this wrapped array to an array.

     returns

       an array containing all elements of this wrapped array.

     Definition Classes
       GenTraversableOnce

178. #### def toArray[U >: Unit](implicit arg0: ClassManifest[U]): Array[U]

     Converts this wrapped array to an array.

     Converts this wrapped array to an array.

     returns

       an array containing all elements of this wrapped array.

     Definition Classes
       WrappedArray → TraversableOnce → GenTraversableOnce

179. #### def toBuffer[A1 >: Unit]: Buffer[A1]

     Overridden for efficiency

     Overridden for efficiency

     returns

       a buffer containing all elements of this wrapped array.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

180. #### def toCollection(repr: WrappedArray[Unit]): WrappedArray[Unit]

     A conversion from collections of type `Repr` to `WrappedArray` objects.

     A conversion from collections of type `Repr` to `WrappedArray` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       WrappedArray → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

181. #### def toIndexedSeq[B >: Unit]: IndexedSeq[B]

     Converts this wrapped array to an indexed sequence.

     Converts this wrapped array to an indexed sequence.

     returns

       an indexed sequence containing all elements of this wrapped array.

     Definition Classes
       TraversableOnce → GenTraversableOnce

182. #### def toIterable: Iterable[Unit]

     Converts this wrapped array to an iterable collection.

     Converts this wrapped array to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this wrapped array.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

183. #### def toIterator: Iterator[Unit]

     Returns an Iterator over the elements in this wrapped array.

     Returns an Iterator over the elements in this wrapped array. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this wrapped array.

     Definition Classes
       TraversableLike → GenTraversableOnce

184. #### def toList: List[Unit]

     Converts this wrapped array to a list.

     Converts this wrapped array to a list.

     returns

       a list containing all elements of this wrapped array.

     Definition Classes
       TraversableOnce → GenTraversableOnce

185. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this wrapped array to a map.

     [use case]

     Converts this wrapped array to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this wrapped array.

     Definition Classes
       GenTraversableOnce

186. #### def toMap[T, U](implicit ev: <:<[Unit, (T, U)]): Map[T, U]

     Converts this wrapped array to a map.

     Converts this wrapped array to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this wrapped array.

     Definition Classes
       TraversableOnce → GenTraversableOnce

187. #### def toSeq: Seq[Unit]

     Converts this wrapped array to a sequence.

     Converts this wrapped array to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this wrapped array.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

188. #### def toSet[B >: Unit]: Set[B]

     Converts this wrapped array to a set.

     Converts this wrapped array to a set.

     returns

       a set containing all elements of this wrapped array.

     Definition Classes
       TraversableOnce → GenTraversableOnce

189. #### def toStream: Stream[Unit]

     Converts this wrapped array to a stream.

     Converts this wrapped array to a stream.

     returns

       a stream containing all elements of this wrapped array.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

190. #### def toString(): String

     Converts this wrapped array to a string.

     Converts this wrapped array to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this wrapped array, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       SeqLike → TraversableLike → AnyRef → Any

191. #### def toTraversable: Traversable[Unit]

     Converts this wrapped array to an unspecified Traversable.

     Converts this wrapped array to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this wrapped array.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

192. #### def transform(f: (Unit) ⇒ Unit): ofUnit.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

193. #### def transpose[B](implicit asTraversable: (Unit) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this wrapped array of traversable collections into a wrapped array of wrapped arrays.

     Transposes this wrapped array of traversable collections into a wrapped array of wrapped arrays.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this wrapped array is a `Traversable`.

     returns

       a two-dimensional wrapped array of wrapped arrays which has as nth row the nth column of this wrapped array.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this wrapped array are not of the same size.

194. #### abstract def union(that: Seq[Unit]): WrappedArray[Unit]

     [use case] Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     that

       the sequence to add.

     returns

       a new collection of type `That` which contains all elements of this wrapped array followed by all elements of `that`.

     Definition Classes
       SeqLike

195. #### def union[B >: Unit, That](that: GenSeq[B])(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence.

     Produces a new sequence which contains all elements of this wrapped array and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     B

       the element type of the returned wrapped array.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     that

       the sequence to add.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` which contains all elements of this wrapped array followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike

196. #### def unzip[A1, A2](implicit asPair: (Unit) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this wrapped array of pairs into two collections of the first and second half of each pair.

     Converts this wrapped array of pairs into two collections of the first and second half of each pair.

     asPair

       an implicit conversion which asserts that the element type of this wrapped array is a pair.

     returns

       a pair wrapped arrays, containing the first, respectively second half of each element pair of this wrapped array.

     Definition Classes
       GenericTraversableTemplate

197. #### def unzip3[A1, A2, A3](implicit asTriple: (Unit) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this wrapped array of triples into three collections of the first, second, and third element of each triple.

     Converts this wrapped array of triples into three collections of the first, second, and third element of each triple.

     asTriple

       an implicit conversion which asserts that the element type of this wrapped array is a triple.

     returns

       a triple wrapped arrays, containing the first, second, respectively third member of each element triple of this wrapped array.

     Definition Classes
       GenericTraversableTemplate

198. #### def update(index: Int, elem: Unit): Unit

     Update element at given index

     Update element at given index

     elem

       the new value.

     Definition Classes
       ofUnit → WrappedArray → IndexedSeqLike → SeqLike

199. #### abstract def updated(index: Int, elem: Unit): WrappedArray[Unit]

     [use case] A copy of this wrapped array with one single replaced element.

     [use case]

     A copy of this wrapped array with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a new wrapped array`which is a copy of this wrapped array with the element at position` index`replaced by` elem`.`

     Definition Classes
       GenSeqLike

200. #### def updated[B >: Unit, That](index: Int, elem: B)(implicit bf: CanBuildFrom[WrappedArray[Unit], B, That]): That

     A copy of this wrapped array with one single replaced element.

     A copy of this wrapped array with one single replaced element.

     B

       the element type of the returned wrapped array.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     index

       the position of the replacement

     elem

       the replacing element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new wrapped array`which is a copy of this wrapped array with the element at position` index`replaced by` elem`.`

     Definition Classes
       SeqLike → GenSeqLike

201. #### def view(from: Int, until: Int): IndexedSeqView[Unit, WrappedArray[Unit]]

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     from

       The index of the first element of the slice

     until

       The index of the element following the slice

     returns

       a non-strict view of a slice of this wrapped array, starting at index `from` and extending up to (but not including) index `until`.@note The difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike
     Note

       view(from, to) is equivalent to view.slice(from, to)

202. #### def view: IndexedSeqView[Unit, WrappedArray[Unit]]

     Creates a view of this iterable @see Iterable.

     Creates a view of this iterable @see Iterable.View

     returns

       a non-strict view of this wrapped array.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

203. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

204. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

205. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

206. #### def withFilter(p: (Unit) ⇒ Boolean): FilterMonadic[Unit, WrappedArray[Unit]]

     Creates a non-strict filter of this wrapped array.

     Creates a non-strict filter of this wrapped array.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this wrapped array which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

207. #### abstract def zip[B](that: GenIterable[B]): WrappedArray[(Unit, B)]

     [use case] Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the minimum of the lengths of this wrapped array and `that`.

     Definition Classes
       GenIterableLike

208. #### def zip[A1 >: Unit, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[WrappedArray[Unit], (A1, B), That]): That

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     B

       the type of the second half of the returned pairs

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the minimum of the lengths of this wrapped array and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike

209. #### abstract def zipAll[B](that: Iterable[B], thisElem: Unit, thatElem: B): WrappedArray[(Unit, B)]

     [use case] Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this wrapped array is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this wrapped array.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the maximum of the lengths of this wrapped array and `that`. If this wrapped array is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this wrapped array, `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

210. #### def zipAll[B, A1 >: Unit, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[WrappedArray[Unit], (A1, B), That]): That

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs.

     Returns a wrapped array formed from this wrapped array and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this wrapped array is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this wrapped array.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this wrapped array and `that`. The length of the returned collection is the maximum of the lengths of this wrapped array and `that`. If this wrapped array is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this wrapped array, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike

211. #### abstract def zipWithIndex: WrappedArray[(Unit, Int)]

     [use case] Zips this wrapped array with its indices.

     [use case]

     Zips this wrapped array with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this wrapped array paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

212. #### def zipWithIndex[A1 >: Unit, That](implicit bf: CanBuildFrom[WrappedArray[Unit], (A1, Int), That]): That

     Zips this wrapped array with its indices.

     Zips this wrapped array with its indices.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this wrapped array paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike

### Deprecated Value Members

1. #### final def deepEquals(that: Any): Boolean

   Definition Classes
     ArrayLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use array1.deep.equals(array2.deep) instead

2. #### final def deepMkString(sep: String): String

   Definition Classes
     ArrayLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use deep.mkString instead

3. #### final def deepMkString(start: String, sep: String, end: String): String

   Definition Classes
     ArrayLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use deep.mkString instead

4. #### final def deepToString(): String

   Definition Classes
     ArrayLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use deep.toString instead

5. #### def elements: Iterator[Unit]

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `iterator' instead`

6. #### def equalsWith[B](that: Seq[B])(f: (Unit, B) ⇒ Boolean): Boolean

   Tests whether every element of this wrapped array relates to the corresponding element of another sequence by satisfying a test predicate.

   Tests whether every element of this wrapped array relates to the corresponding element of another sequence by satisfying a test predicate.

   B

     the type of the elements of `that`

   that

     the other sequence

   returns

     `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this wrapped array and `y` of `that`, otherwise `false`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `corresponds` instead

7. #### def findIndexOf(p: (Unit) ⇒ Boolean): Int

   Returns index of the first element satisfying a predicate, or `-1`.

   Returns index of the first element satisfying a predicate, or `-1`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use indexWhere(p) instead.

8. #### def findLastIndexOf(p: (Unit) ⇒ Boolean): Int

   Returns index of the last element satisfying a predicate, or -1.

   Returns index of the last element satisfying a predicate, or -1.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `lastIndexWhere` instead

9. #### def first: Unit

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `head' instead`

10. #### def firstOption: Option[Unit]

    `None` if iterable is empty.

    `None` if iterable is empty.

    Definition Classes
      IterableLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `headOption' instead`

11. #### def projection: SeqView[Unit, WrappedArray[Unit]]

    returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

    returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

    Definition Classes
      SeqLike → IterableLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `view' instead`

12. #### def reversedElements: Iterator[Unit]

    Definition Classes
      SeqLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `reverseIterator' instead`

### Inherited from Serializable

### Inherited from WrappedArray[Unit]

### Inherited from CustomParallelizable[Unit, ParArray[Unit]]

### Inherited from ArrayLike[Unit, WrappedArray[Unit]]

### Inherited from IndexedSeqOptimized[Unit, WrappedArray[Unit]]

### Inherited from IndexedSeq[Unit]

### Inherited from IndexedSeqLike[Unit, WrappedArray[Unit]]

### Inherited from IndexedSeq[Unit]

### Inherited from IndexedSeqLike[Unit, WrappedArray[Unit]]

### Inherited from Seq[Unit]

### Inherited from SeqLike[Unit, Seq[Unit]]

### Inherited from Cloneable[Seq[Unit]]

### Inherited from Seq[Unit]

### Inherited from SeqLike[Unit, WrappedArray[Unit]]

### Inherited from GenSeq[Unit]

### Inherited from GenSeqLike[Unit, WrappedArray[Unit]]

### Inherited from PartialFunction[Int, Unit]

### Inherited from (Int) ⇒ Unit

### Inherited from Iterable[Unit]

### Inherited from IterableLike[Unit, WrappedArray[Unit]]

### Inherited from Equals

### Inherited from GenIterable[Unit]

### Inherited from GenIterableLike[Unit, WrappedArray[Unit]]

### Inherited from Traversable[Unit]

### Inherited from Mutable

### Inherited from Traversable[Unit]

### Inherited from GenTraversable[Unit]

### Inherited from GenericTraversableTemplate[Unit, IndexedSeq]

### Inherited from TraversableLike[Unit, WrappedArray[Unit]]

### Inherited from GenTraversableLike[Unit, WrappedArray[Unit]]

### Inherited from Parallelizable[Unit, ParArray[Unit]]

### Inherited from TraversableOnce[Unit]

### Inherited from GenTraversableOnce[Unit]

### Inherited from FilterMonadic[Unit, WrappedArray[Unit]]

### Inherited from HasNewBuilder[Unit, WrappedArray[Unit]]

### Inherited from AnyRef

### Inherited from Any